
#include "BacLimitEnable.h"

BacLimitEnable::BacLimitEnable(QWidget *parent, int db_id, int PropId, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, label, layout, row, col) {
  addChecks();
}

BacLimitEnable::BacLimitEnable(QWidget *parent, int db_id, int PropId, int value, QString label, QGridLayout *layout, int row, int col)
  : BitString(parent, db_id, PropId, value, label, layout, row, col) {
  addChecks();
}

void BacLimitEnable::addChecks() {
  height = 2;

  addCheck(tr("Low Limit"), 0);
  addCheck(tr("High Limit"), 1);
}

